package com.mx.cneeds.server.user.service.impl;

import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.common.pager.Query;
import com.mx.cneeds.server.dao.SysRoleFuncDao;
import com.mx.cneeds.server.entity.SysRoleFuncEntity;
import com.mx.cneeds.server.user.service.SysRoleFuncService;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


@Service("sysRoleFuncService")
public class SysRoleFuncServiceImpl extends ServiceImpl<SysRoleFuncDao, SysRoleFuncEntity> implements SysRoleFuncService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<SysRoleFuncEntity> page = this.page(
                new Query<SysRoleFuncEntity>().getPage(params),
                new QueryWrapper<SysRoleFuncEntity>()
        );

        return new PageUtils(page);
    }

}
