package com.mx.cneeds.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 设备信息
 * 
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
@Data
@TableName("device_info")
public class DeviceInfoEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 设备id
	 */
	@TableId
	private Long deviceId;
	/**
	 * 
	 */
	private Long deptId;
	/**
	 * imei
	 */
	private String imei;
	/**
	 * iccid
	 */
	private String iccid;
	/**
	 * 状态0未激活，1已激活
	 */
	private String status;
	/**
	 * 设备版本
	 */
	private String deviceVersion;
	/**
	 * 产品系列
	 */
	private String productSet;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 激活时间
	 */
	private Date activeTime;
	/**
	 * 渠道商号
	 * 分隔符","
	 */
	public String channelNums;
	/**
	 * 渠道号提示信息
	 */
	public String channelNumsMessage;
	/**
	 * 0黑名单
	 * 1白名单
	 */
	public Integer channelRules;

}
